function updateBgSprites()
	for i, bgSprite in pairs(bgSprites) do
		if bgSprite.isCircle then
			bgSprite.x = bgSprite.x - (11.5*bgSprite.speed*0.7*hdt)
		else
			bgSprite.x = bgSprite.x - (15*bgSprite.speed*0.7*hdt)
		end
		if bgSprite.circleRadius == nil then
			bgSprite.circleRadius = 300
		end		
		
		-- get color
		bgSprite.g = level.g*bgSprite.randomNumber
		bgSprite.r = level.r*bgSprite.randomNumber
		bgSprite.b = level.b*bgSprite.randomNumber
		
		--spawn bgSprite
		if bgSprite.x < -100 then
			table.remove(bgSprites, i)
			randomY = math.random(0, 720)
			randomSpeed = math.random(10, 20)/10
			randomColor = math.random(9, 11)/10
			randomRot = math.random(-15, 15)
			randomSize = math.random(7,14)/10
			randomRotSpeed = math.random(-2,2)
			if math.random(1,2) == 1 then
				small = true
			else
				small = false
			end
			if math.random(0, 30) > 29 then
				randomCircle = true
			else
				randomCircle = false
			end
			newSprite = {x = 1400, y = randomY, isCircle = randomCircle, growDir = 0, isSmall = small, width = 50*randomSize, rotSpeed = randomRotSpeed, height = 50*randomSize, speed = randomSpeed, randomNumber = randomColor, rot = randomRot, r = 1, b = 1, g = 1} table.insert(bgSprites, newSprite)
		end
		
		bgSprite.rot = bgSprite.rot + (bgSprite.rotSpeed*hdt)
		
		--change circle radius
		if bgSprite.circleRadius > 350 then
			bgSprite.growDir = 1
		elseif bgSprite.circleRadius < 275 then
			bgSprite.growDir = 0
		end
		
		if bgSprite.growDir == 1 then
			bgSprite.circleRadius = bgSprite.circleRadius - (3*hdt)
		else
			bgSprite.circleRadius = bgSprite.circleRadius + (3*hdt)
		end
		
		
		
	end
end