function updatePlayer()
	if level.current == 0 then
		player.y = -2000
	end
	--player speed
	if player.speed > 350 then
		player.speed = 350
	end
	if not love.keyboard.isDown('d','a') then
		player.speed = 300
	end
	--player Bounds
	if player.y < -20 or player.y > 720 then
		restart()
	end
	if player.x+player.width+6 > 1280 then
		col.right = false
	elseif player.x < 0 then
		col.left = false
	end
	--player color
	player.r = level.br
	player.g = level.bg
	player.b = level.bb
	
	--print(player.hitGround)
	--player gravity
	if col.down then
		player.y = player.y + (player.gravity*hdt)
	if player.jump < 0 or player.jump == 0 then

		if player.gravity > 0 then
			player.gravity = player.gravity + (300*hdt)
		else
			player.gravity = player.gravity - (300*hdt)
		end

		if player.gravity > 700 then
			player.gravity = 700
		elseif player.gravity < -700 then
			player.gravity = -700
		end
	end
		elseif col.down == false and player.hitGround then --spawn particle on impact
			colbounce = true
			x = 20
			while x > 0 do
				if player.gravity > 0 then
					particleGravity = -70
				else
					particleGravity = 70
				end
				if player.gravity > 0 then
					newParticle = {x = math.random(player.x, player.width + player.x)+5, y = player.y+player.height+6, xdir = math.random(-100,100)/100, ydir = math.random(-100, 100)/100, alpha = 255, rot = math.random(0, 360), gravity = particleGravity, id = 1}
				else
					newParticle = {x = math.random(player.x, player.width + player.x)+5, y = player.y-6, xdir = math.random(-100,100)/100, ydir = math.random(-100, 100)/100, alpha = 255, rot = math.random(0, 360), gravity = particleGravity, id = 1}
				end
				table.insert(particles, newParticle)
				x = x - 1
			end
			player.hitGround = false
	end
		player.gravityTimer = player.gravityTimer+(1*hdt)
	if player.gravityTimer > 1 then
	--	player.switchedGravity = false
	end

	--spawn moving shenanigans
	if spawnTimer > 0 then
		col.up = false
		col.left = false
		col.right = false
		player.y = player.y + (350*hdt)
	end
	
	

	--player jump
	player.y = player.y - (player.jump*hdt)
	if player.gravity > 0 then
		player.jump = player.jump - ((player.jump+300)*2*hdt)
	else
		player.jump = player.jump - ((player.jump-300)*2*hdt)
	end
	
	if player.jump < 0 and player.gravity > 0 then
		player.jump = 0
	elseif player.jump > 0 and player.gravity < 0 then
		player.jump = 0
	end
end